Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1476467

Summary: UEFI Keys not imported with kernel-4.12.4-300.fc26
Product: [Fedora] Fedora Reporter: dherault
Component: kernelAssignee: Kernel Maintainer List <kernel-maint>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 26CC: appublic+bugzillaredhat, gansalmon, ichavero, itamar, jonathan, kernel-maint, madhu.chinakonda, mchehab
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: kernel-4.12.5-300.fc26 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-08-14 21:51:26 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:

Description dherault 2017-07-29 10:39:39 UTC
Kernel 4.12 don't import UEFI keys resulting signed kernel modules can't load on a secureboot system. 

Only default keys is loaded 
# keyctl list %:.builtin_trusted_keys
1 key in keyring

Several users impacted : https://bodhi.fedoraproject.org/updates/FEDORA-2017-14ad2c5d17

Comment 1 Fedora Update System 2017-08-07 21:06:29 UTC
kernel-4.12.5-300.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-adc7d95627

Comment 2 Fedora Update System 2017-08-13 04:02:21 UTC
kernel-4.12.5-300.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-adc7d95627

Comment 3 Fedora Update System 2017-08-14 21:51:26 UTC
kernel-4.12.5-300.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.